<?php
namespace Ceetrox\Sidekick\Views\Limitless\Linechart\DataManager;

use Illuminate\Support\Collection;

class Series extends Collection
{
    /**
     * @return array
     */
    public function toArray(): array
    {
        $return = [];
        $this->each(function (SeriesData $entry) use (&$return) {
            $return[] = $entry->toArray();
        });

        return $return;
    }


}
